| Home | Libraries | People | FAQ | More

##### zlib::deflate_stream::upper_bound

Returns the upper limit on the size of a compressed block.

###### Synopsis

    std::size_t
    upper_bound(
        std::size_t sourceLen) const;

###### Description

This function makes a conservative estimate of the maximum number of bytes needed to store the result of compressing a block of data based on the current compression level and strategy.

###### Parameters

Name | Description
--- | ---
`sourceLen` | The size of the uncompressed data.

###### Return Value

The maximum number of resulting compressed bytes.